#pragma once
#include "ModuleBase.h"

namespace mdd {
    class Parameter : public ModuleBase {
    private:
        IModule* _parent;
    public:
        Parameter(IModule* parent);
        state update() override;
        std::string setName(const std::string& type) override;
        std::string setAppendix(int appendix) override;
        bool configure(const std::string& config) override;
        std::string getConfiguration() override;
    };
}